#ifdef __GNUC__
#ifdef FWTK
extern void proxy_exit(void);
#define FATAL(s) { syslog(LOG_ERR,"fwtksyserr: %s: %s",__FUNCTION__,s); \
		   proxy_exit(); }
#define ERROR(s) syslog(LOG_ERR,"fwtksyserr: %s: %s, %m",__FUNCTION__,s); 
#else
#define FATAL(s) { syslog(LOG_ERR,"FATAL: libci_milter: %s: %s",__FUNCTION__,s);\
		   abort(); }
#define ERROR(s) syslog(LOG_ERR,"ERROR: libci_milter: %s: %s, %m",__FUNCTION__,s); 
#endif
#else
#define __FUNCTION__ ""
#ifdef FWTK
extern void proxy_exit();
#define FATAL(s) { syslog(LOG_ERR,"fwtksyserr: %s",s); \
		   proxy_exit(); }
#define ERROR(s) syslog(LOG_ERR,"fwtksyserr: %s, %m",s); 
#else
#define FATAL(s) { syslog(LOG_ERR,"FATAL: libci_milter: %s",s);\
		   abort(); }
#define ERROR(s) syslog(LOG_ERR,"ERROR: libci_milter: %s, %m",s); 
#endif
#endif
